import { IMidwayContainer } from '@midwayjs/core';
import { Route } from '..';
import { GatewayManager } from '../gateway/manager';
import { SnapShot } from '../runtime/snapshot';
import { ApiModule } from '../types/common';
import { ComponentOptions, HooksGatewayAdapter } from '../types/gateway';
export declare type LoadApiModuleOption = {
    mod: ApiModule;
    file: string;
    container?: IMidwayContainer;
};
export declare class HooksComponent {
    options: ComponentOptions;
    gatewayManager: GatewayManager;
    constructor(options: ComponentOptions);
    load(): {
        Configuration: import("@midwayjs/core/dist/functional/configuration").FunctionalConfiguration;
    };
    get gateways(): HooksGatewayAdapter[];
    loadByScanner(): void;
    loadBySnapshot(snapshot: SnapShot): void;
    loadApiModule({ mod, file }: LoadApiModuleOption): void;
    createApi(mod: ApiModule, gateway: HooksGatewayAdapter, file: string, route: Route): void;
}
