import { Route, FileRouter } from '../';
export declare const K_MATCHER_CALLBACK: unique symbol;
interface ApiMetadata {
    file: string;
    functionName: string;
    functionId: string;
    route: Route;
}
interface ApiBuildMeta {
    client: string;
    metadata?: {
        [key: string]: any;
    };
}
declare type MatcherCallback = (meta: ApiMetadata) => ApiBuildMeta;
export declare class ApiClientMatcher {
    private [K_MATCHER_CALLBACK];
    route(route: Partial<Route>, buildMeta: ApiBuildMeta): this;
    match(matcher: MatcherCallback): this;
}
export declare function useApiClientMatcher(matcher: ApiClientMatcher): void;
export declare function createApiClientMatcher(): ApiClientMatcher;
export declare function buildApiClient(file: string, code: string, router: FileRouter, initializeGatewayManager?: boolean): Promise<string>;
export {};
