export declare type HooksContext = {
    ctx: any;
    event?: any;
};
export declare const SINGLE_CONCURRENCY_MODE: unique symbol;
/**
 * @private
 * private api, may change without notice.
 * Use asynchronous-local-storage due to serverless environment does not support node.js 12.17.0
 */
export declare const als: {
    readonly runtime: {
        isSingleConcurrencyMode: () => boolean;
        getStore(key: string): any;
        run(ctx: HooksContext, callback: any): Promise<any>;
    } | {
        readonly runtime: import("asynchronous-local-storage").AsynchronousLocalStorage;
        getStore(key: string): any;
        run(ctx: HooksContext, callback: any): Promise<unknown>;
    };
    getStore(key: string): any;
    run(ctx: HooksContext, callback: any): Promise<any>;
};
export declare function useContext<T = any>(): T;
